Tue Aug 20 14:19:55 2002  Jaiganesh@doc  <bugzilla@cs.wustl.edu>

        * ACE version 5.2.4 released.

Fri Aug 16 10:25:07 2002  Ossama Othman  <ossama@uci.edu>

	* include/makeinclude/ace_flags.bor:

	  Corrected CosLoadBalancing library related variables.  They
	  were still setup for use with the old load balancer prototype.

Fri Aug 16 11:15:49 2002  Douglas C. Schmidt  <schmidt@macarena.cs.wustl.edu>

	* examples/Reactor/Proactor/test_aiosig_ace.cpp: Added
	  #include "ace/Log_Msg.h" so things will compile.  Thanks to
 	  Victor Poznyak <VPoznyak@Webley.COM> for reporting this and
 	  Alexander Libman <alexl@aurema.com> for suggesting the fix.

Thu Aug 15 15:22:49 2002  Nanbor Wang  <nanbor@cs.wustl.edu>

	* tests/tests.dsw: Re-added Thread_Manager_Test.dsp into this
	  workspace.  It got accidentally removed when someone merged a
	  branch into the main trunk.  Thanks to Ronald Berger
	  <ronald.berger@wpafb.af.mil> for noticing this.

Mon Aug 12 10:17:55 2002  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

	* ace/Thread_Manager.h (ACE_Thread_Manager): Fixed a type where
	  "manipulated" was spelled "maniputated".  Thanks to
	 Eric Newton <ecn@metaslash.com> for reporting this.

	* PROBLEM-REPORT-FORM: Fixed a typo where "ASCII text" was spelled
	  "ASCII test".  Thanks to Eric Newton <ecn@metaslash.com> for
	  reporting this.

Fri Aug  9 12:13:21 2002  Jaiganesh Balasubramanian  <jai@doc.ece.uci.edu>

	* bin/nightlybuilds/builds.1st:
	  Moved the Debian_Core builds to the new scoreboard.
	  Thanks to CRaig Rodrigues <crodrigu@bbn.com> for the fix.

Fri Aug  9 09:24:08 2002  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

	* ace/Time_Value.{inl,cpp}: Make sure to normalize the set() methods...
	  Thanks to Francois <francois@vibes.net> for reporting this.  This
	  fixes BugID 1275.

Thu Aug  8 23:11:30 2002  Balachandran Natarajan  <bala@cs.wustl.edu>

	* include/makeinclude/rules.nested.GNU: Reverted this change "Thu
	  Aug  8 18:28:34 UTC 2002  Craig Rodrigues  <crodrigu@bbn.com>"
	  since it would break our daily builds.

Thu Aug  8 18:28:34 UTC 2002  Craig Rodrigues  <crodrigu@bbn.com>

	* include/makeinclude/rules.nested.GNU: If we fail during a recursive
	  make, exit with error code 1.  This makes it easier to detect errors
	  in automated builds.  Thanks to Gary Duzan <gduzan@bbn.com> for showing
	  inspiring the fix.

Wed Aug  7 12:39:31 2002  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/Driver.pm:

          Speed up execution by changing the include path order.

        * bin/MakeProjectCreator/modules/GNUWorkspaceCreator.pm:

          Don't generate a for loop if there is only one project.

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Fixed a bug with the global assignments overwriting project
          assignments.

Sun Aug  4 16:47:29 2002  Balachandran Natarajan  <bala@cs.wustl.edu>

	* tests/Framework_Component_DLL.cpp: Added a missing template
	  instantiation. It was caught only in SunCC53 builds.

Sun Aug  4 16:01:28 2002  Balachandran Natarajan  <bala@cs.wustl.edu>

	* bin/auto_run_tests.lst: Do not the Stack_Recursion tests in
	  single threaded  builds.

Sat Aug 03 17:57:33 2002  Balachandran Natarajan  <bala@cs.wustl.edu>

	* ace/ace_dll.dsp: Removed the Hash_Map_Manager_rt.cpp from the
	  project file.

Sat Aug 03 15:42:49 2002  Balachandran Natarajan  <bala@cs.wustl.edu>

	* examples/Log_Msg/Log_Msg_MFC/Log_Msg_MFC.dsp: Made sure that it
	  builds only in MFC debug builds.

Sat Aug  3 14:56:23 2002  Krishnakumar B  <kitty@cs.wustl.edu>

        * ACEXML/common/HttpCharStream.cpp:

          Fixed a conversion error from char to wchar_t. Thanks to Johnny
          for pointing this out.

        * ACEXML/parser/parser/Parser.cpp:

          Fixed an unreachable statement warning. Thanks to Bala for
          pointing this out.

Sat Aug  3 19:53:12 UTC 2002  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACEXML/common/XML_Codecs.h:
        * ACEXML/parser/parser/Parser.h:
        * ace/Registry.h:
        * ace/String_Base.h:
        * ace/QoS/QoS_Session_Factory.h:
          Fixed doxygen commands.

Sat Aug  3 12:36:55 2002  Balachandran Natarajan  <bala@cs.wustl.edu>

	* ace/Hash_Map_Manager_rt.h:
	* ace/Hash_Map_Manager_rt.cpp:
	* ace/Hash_Map_Manager_rt.i: Removed these files from the main
	  trunk. They shouldnt have been there in the first place.

Fri Aug  2 22:00:26 UTC 2002  Craig Rodrigues  <crodrigu@bbn.com>

	* examples/Log_Msg/Log_Msg_MFC/*: Added example to show how
	  to send ACE_DEBUG output to the Microsoft Visual Studio debugger console.
	  Thanks to Don Hinton <dhinton@ieee.org> and
	  Chris Hafey <chafey@stentor.com> for help with this.

Fri Aug  2 13:10:05 2002  Krishnakumar B  <kitty@cs.wustl.edu>

        * ACEXML/examples/SAXPrint/main.cpp (ACE_TMAIN):
        * ACEXML/common/InputSource.cpp:

          Reverted the previous check-in with respect to the delete
          statement. Memory is getting leaked somewhere down in ACE.

Fri Aug  2 12:31:34 2002  Krishnakumar B  <kitty@cs.wustl.edu>

        * ACEXML/common/ContentHandler.h:
        * ACEXML/parser/parser/Entity_Manager.cpp:
        * ACEXML/common/NamespaceSupport.cpp:

          Fixed minor typos in the comments.

        * ACEXML/common/InputSource.cpp:

          Removed an erroneous delete statement. Not sure if this is a
          implementation bug or a thinko.

        * ACEXML/common/HttpCharStream.cpp:
        * ACEXML/common/Mem_Map_Stream.cpp:
        * ACEXML/common/Mem_Map_Stream.h:

          Use char* when sending data on the network. Technically it
          should be byte.

        * ACEXML/examples/SAXPrint/Print_Handler.cpp:
        * ACEXML/examples/SAXPrint/main.cpp:

          Fixed a bug with getopt() when WCHAR is enabled. Since EOF is
          -1, never use a WCHAR in the while loop.

        * ACEXML/parser/parser/Parser.cpp:
        * ACEXML/parser/parser/Parser.h:

          Improved Namespace support. Modularized functions in the parser.

        * ACEXML/docs/TODO.txt:
        * ACEXML/docs/bugs.txt:
        * ACEXML/docs/guidelines.txt:
        * ACEXML/docs/parser_features.txt:

          Updated to reflect the current status. People were reading these
          old docs and assuming a lot of the features aren't implemented.

Fri Aug  2 16:06:12 UTC 2002  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-doxygen.h:
          Added ACE_HAS_ATM define to also generate the doxygen documentation
          of the ACE ATM classes. This is one of the last parts of ACE that
          are missing in the doxygen documentation.

Fri Aug  2 07:54:24 2002  Balachandran Natarajan  <bala@cs.wustl.edu>

	* ace/Malloc.cpp: Rearranged member initialization list in the
	  constructor of ACE_Malloc_Stats, to fix warnings with explicit
	  template builds.

Thu Aug 01 13:40:59 2002  Balachandran Natarajan  <bala@cs.wustl.edu>

	* tests/Malloc_Test.cpp: Changed the usage of ASYS_TEXT to
	  ACE_TEXT.  Should fix most of the compile errors with g++.

Thu Aug  1 12:14:21 2002  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Added $(ACELIB) to the list of ACE_SHLIBS.

Thu Aug  1 11:13:20 2002  Balachandran Natarajan  <bala@cs.wustl.edu>

	* ace/Malloc_Allocator.h:
	* ace/Malloc_Allocator.cpp: Removed the declaration and definition
	  of ACE_Malloc_Stats since they are not needed in this
	  translation unit.

	* ace/Malloc.h:
	* ace/Malloc.cpp: Retained the definition if ACE_Malloc_Stats here
	  (yes, there were two declarations) and added the definition and
	  template instantiation for ACE_Atomic_Op used by
	  ACE_Alloc_Stats. This should fix the erros showing up on the
	  scoreboard explicit template builds which has
	  ACE_HAS_MALLOC_STATS turned on.

Thu Aug  1 09:08:36 2002  Douglas C. Schmidt  <schmidt@macarena.cs.wustl.edu>

	* ace/Message_Block.h: Made the non-static duplicate() and release()
	  methods virtual so they can be overridden by subclasses.  Thanks
 	  to Brian Raven <brianr@liffe.com> for this suggestion.

Thu Aug 01 15:24:32 UTC 2002  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_Thread_Adapter.h:
          Fixed incorrected doxygen @file command.

Thu Aug 01 14:52:44 UTC 2002  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/fuzz.pl:
          Improved the check for the @file doxygen command. Incomplete file
          names where not detected as error.

Thu Aug  1 07:03:05 2002  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/README:

          Added a bit of background on the tool before plunging into the
          details.

Thu Aug 01 07:59:12 UTC 2002  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Asynch_Acceptor.h:
        * ace/XtReactor.cpp:
        * ace/XtReactor.h:
          Corrected argument names to fix doxygen warnings.

Thu Aug 01 07:34:12 UTC 2002  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-mingw.h:
          Made the definition of the missing parts of the Win32api of MingW
          dependent on the version of the w32api instead of our own defines.
          This way we automically define the missing things when needed. Thanks
          to Craig for suggesting this.

Wed Jul 31 23:39:27 UTC 2002  Craig Rodrigues  <crodrigu@bbn.com>

	* etc/*.doxygen: Change DOT_PATH from /usr/local/bin/ to
	  empty, forcing doxygen to look for the dot program in PATH.
	  This eliminates warnings in the Doxygen nightly build.

Wed Jul 31 12:23:47 2002  Steve Huston  <shuston@riverace.com>

        * ace/Malloc.cpp:
        * ace/Malloc_T.cpp:
        * tests/Malloc_Test.cpp: Changed logging of pointers to %@

        * tests/Mem_Map_Test.cpp: Fixed loop bound error.

Wed Jul 31 11:34:58 2002  Nanbor Wang  <nanbor@cs.wustl.edu>

	* docs/index.html: Added a link to ACEXML document.

Wed Jul 31 10:47:54 2002  Chad Elliott  <elliott_c@ociweb.com>

        * include/makeinclude/rules.local.GNU:

          Added a gnu macro (DEPEND_CMD_ARGS) to the g++dep line to allow
          pasing arguments (such as -R) to g++dep when running "make depend"

Wed Jul 31 08:41:12 UTC 2002  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-mingw.h:
          For the compilation of Win32_Asynch_IO we now need to have
          FILE_SEGMENT_ELEMENT from winnt.h and ReadFileScatter and
          WriteFileScatter from winbase.h.
          These are not in the header files of the MingW w32api 1.4/1.5
          release. That's why we do these union/defines also in this header
          file. By adding the defines ACE_MINGW_LACKS_READWRITE_FILESCATTER
          and ACE_MINGW_LACKS_FILE_SEGMENT_ELEMENT to your config.h file
          these defines/union are done by ACE for MingW32 so that everything
          will compile.

Wed Jul 31 08:11:12 UTC 2002  Johnny Willemsen  <jwillemsen@remedy.nl>

        * etc/Task.cpp:
          Also the MinGW32 GCC3.1 compiler has problems with the
          reinterpret_cast in the svc_run method. Use the static_cast instead.

Wed Jul 31 07:40:12 UTC 2002  Johnny Willemsen  <jwillemsen@remedy.nl>

        * etc/*.doxygen:
          Enabled warnings to get them in the doxygen scoreboard.

        * ace/Configuration.cpp:
          Fixed method argument names to fix doxygen warnings.

Tue Jul 30 15:45:23 2002  Douglas C. Schmidt  <schmidt@macarena.cs.wustl.edu>

	* ace/SOCK_Dgram.h: Fixed the comment for send(), which had a
	  cut and paste error.  Thanks to Jeff Wilson
 	  <wilsonj@cs.ecs.baylor.edu> for reporting this.

Tue Jul 30 14:09:35 2002  Chad Elliott  <elliott_c@ociweb.com>

        * tests/tests.mpc:

          Update the mpc file to include the libraries.

Tue Jul 30 09:07:29 2002  Ossama Othman  <ossama@uci.edu>

	* ace/Parse_Node.h:
	* ace/Parse_Node.cpp:

	  Unexported all classes in this file.  They are only meant for
	  internal use by ACE's Service Configurator.  Updated Doxygen
	  comments accordingly.

	  (apply, symbol, open_dll):

	  These methods now accept a "yyerrno" reference argument to allow
	  for modification of the error count in a reentrant manner.

	* ace/Svc_Conf.h:

	  Removed "ace_yyerrno" and "ace_yylineno" global variables.
	  Local ones are now used.

	  Altered signature of ace_yyerror() function to accept two
	  additional parameters, yyerrno and yylineno.  Addresses a race
	  condition.

	* ace/Svc_Conf.y:

	  Removed all remnants of the global "yyerrno" and "yylineno"
	  variables.  Only the reentrant versions are used now.

	  Pass the "yyerrno" variable as a parameter to all functions that
	  read or modify the parse error count.  Addresses several race
	  conditions.

	  Fixed call to ACE_Location_Node::handle().  This method no
	  longer exists.  The correct call is ACE_Location_Node::dll().
	  For some reason, Svc_Conf_y.cpp (a generated file!!!) was
	  "fixed" but the parser grammar file was never fixed.

	* ace/Svc_Conf.l:

	  Removed all remnants of the global "yylineno" variable.  Only
	  the reentrant version is used now.

	* ace/Service_Config.cpp (process_directives_i):

	  Removed initialization of "ace_yyerrno" and "ace_yylineno"
	  global variables.  They no longer exist.  Poof!

	  Reverted my previous change.  The above changes obviate the need
	  to take into account the global parse error count.

	* ace/Makefile:

	  Tweaked Svc_Conf_y.cpp and Svc_Conf_l.cpp generation rules so
	  that yyerrno and yylineno are not prepended with an "ace_".
	  That is no longer needed.

	* etc/Svc_Conf_y.cpp.diff:

	  Regenerated this patch against parsers generated by the latest
	  GNU Bison (1.35).

	* etc/Svc_Conf_l.cpp.diff:

	  Regenerated this patch to pull in new changes to Svc_Conf_l.cpp.

Tue Jul 30 10:06:04 2002  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

	* ace/Thread_Manager.cpp: Moved a stray colon until *after*
	  the #if !defined(ACE_USE_ONE_SHOT_AT_THREAD_EXIT) check.  Thanks
 	  to Alan Tanga <stang1@lucent.com> for reporting this.

	* ace/POSIX_Proactor.cpp (delete_result_aiocb_list): Moved
	  the definition of size_t ai out of the for loops to avoid
 	  problems on older C++ compilers.  Thanks to George Varsamis
 	  <gv@prismtechnologies.com> for reporting this.

Tue Jul 30 08:14:34 2002  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/Creator.pm:

          Added an error check for invalid inheritance syntax.

        * bin/MakeProjectCreator/modules/Driver.pm:

          Changed the progress indicator to allow for cleaner output
          when an error occurs.

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Remove duplicate libs, libpaths and includes when addition or
          subtraction is involved.

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Cleaned up the template to make generated Makefiles a little more
          consistent.

Tue Jul 30 06:50:26 2002  Douglas C. Schmidt  <schmidt@macarena.cs.wustl.edu>

	* ace/Dynamic_Service.cpp: Moved ACE_Dynamic_Service::instance()
	  from the .i file into the .cpp file and added a #include of
 	  "ace/Service_Object.h" to the .cpp file so the complete type of
 	  ACE_Service_Object would be available to the HP/UX C++ compiler.
  	  Thanks to Torsten Kuepper <Torsten.Kuepper@nokia.com> for
 	  reporting this.

Tue Jul 30 07:51:12 UTC 2002  Johnny Willemsen  <jwillemsen@remedy.nl>

        * etc/ace.doxygen:
          Enabled warnings and undocument warnings to get these warnings
          into the doxygen scoreboard. When this works I will enable the
          warnings in all other .doxygen files later.

Mon Jul 29 14:47:46 2002  Ossama Othman  <ossama@uci.edu>

	* ace/Service_Config.cpp (process_directives_i):

	  In addition to the thread-safe yyerrno variable, check the
 	  global ace_yyerrno variable when determining if errors have
 	  occurred when processing Service Configurator directives.
  	  Thanks to Doug for tracking down the problem and suggesting a
 	  fix and to Denginere <denginere@hotmail.com> for reporting this.

Mon Jul 29 17:30:27 2002  Steve Huston  <shuston@riverace.com>

        * ace/Get_Opt.h (ctor): Changed documented name of the skip_argv0
          argument to skip_args to better reflect that it's not just
          argv[0] that can be skipped.

Mon Jul 29 07:45:12 2002  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS.cpp (uname): Only check for PROCESSOR_ARCHITECTURE_IA64
          when this is defined. The MingW w32api doesn't define this constant.

Sun Jul 28 17:17:50 2002  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

	* docs/ACE-subsets.html: Updated the breakdown of files to
	  each subset component so it's consistent with the
 	  $ACE_ROOT/Makefile.  Thanks to Ruslan Zasukhin
 	  <sunshine@public.kherson.ua> for reporting this.

Sun Jul 28 10:31:12 2002  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_gnuwin32_common.GNU:
          Use -mcpu=$(TCPU) instead of -m$(TCPU), because MingW GCC 3.1
          now gives warnings that -m is deprecated. Thanks to Craig Rodrigues
          for confirming that -m was already deprecated in GCC 2.95.3

Sat Jul 27 17:35:06 2002  Krishnakumar B  <kitty@cs.wustl.edu>

        * include/makeinclude/platform_g++_common.GNU (SOFLAGS):

          Allow building of shared libraries with gcc and Solaris ld.
          There wasn't any reason that it wouldn't work.

        * Changelog: Remove >>>>> left out by merge conflicts. People
          should be more careful about checking for conflicts.

Sat Jul 27 16:20:19 2002  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

	* examples/Service_Configurator/Misc/main.cpp (ACE_TMAIN): Changed
	  the code to be more resilient against errors that occur during
 	  parsing of the svc.conf file.  Thanks to Denginere
 	  <denginere@hotmail.com> for motivating this change.

Sat Jul 27 15:50:12 2002  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACEXML/examples/svcconf/main.cpp:
          Made this file compiling with BCB and Unicode

        * ACEXML/examples/svcconf/Svcconf_Handler.h:
          Made includes like the other examples so that we can build it with
          BCB

        * ACEXML/examples/svcconf/Svcconf_Handler.cpp:
          Fixed unused argument warnings

        * ACEXML/examples/svcconf/Makefile.bor:
          Added this BCB makefile

        * ACEXML/examples/Makefile.bor
          Added svcconf directory

Fri Jul 26 21:00:32 2002  Balachandran Natarajan  <bala@cs.wustl.edu>

	* ace/TP_Reactor.cpp: Fixed a unused variable warning in g++
	  builds.

Fri Jul 26 20:08:41 2002  Steve Huston  <shuston@riverace.com>

        * include/makeinclude/platform_aix4_g++.GNU: Corrected option for
          using threads from -mthreads to -pthread. This may not work with
          pre-gcc 3 compilers, but those compilers are busted on AIX anyway.
          Added support for buildbits=32 and buildbits=64. Moved in the new
          AIX library-building setup from platform_aix_ibm.GNU.

Fri Jul 26 15:52:12 2002  Balachandran Natarajan  <bala@cs.wustl.edu>

	* ace/TP_Reactor.cpp: Fixed a problem with handle_event
	  (ACE_Time_Value &). It should be calling the TP_Reactor's
	  handle_event () instead of Select_Reactor's. This should fix
	  [BUGID 1257].

Fri Jul 26 10:11:41 2002  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/config/messaging.mpb:
        * bin/MakeProjectCreator/config/messaging_only.mpb:

          Set up a new base project that just contains information about
          the Messaging library.

        * bin/MakeProjectCreator/modules/GNUProjectCreator.pm:
        * bin/MakeProjectCreator/templates/gnu.mpd:

          Allow the file lists to contain names of files that correspond
          to relative directories.

Fri Jul 26 06:40:12 2002  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

	* ace/OS_String.inl: Added casts of the input parameter to
	  (unsigned char) for the ace_isprint() and ace_isspace() methods
 	  on ACE_OS_String to prevent problems with MSVC++ 7.0.  Thanks to
 	  Colin Weaver <colin.weaver@invensys.com> for suggesting this
 	  fix.

Fri Jul 26 10:37:12 2002  Johnny Willemsen  <jwillemsen@remedy.nl>

        * etc/tao_pss.doxygen:
          Added doxygen config file to generate the new TAO PSS.

        * bin/generate_doxygen_pl:
          Added tao_pss.doxygen to the list of files to generate.

        * htlm/index.html:
          Added link for the new PPS doxygen documentation.

Thu Jul 25 22:58:24 2002  Balachandran Natarajan  <bala@cs.wustl.edu>

	* ace/Synch.cpp: Removed explicit instantiation of
	  ACE_Condition<ACE_Recursive_Thread_Mutex> since a template
	  specialization exists. This was causing a compile error when
	  explicit template instantiations were used with
	  g++-2.95.3.

Thu Jul 25 11:32:41 2002  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/README:

          Added a little more detail about what the depends keyword refers
          to.

        * bin/MakeProjectCreator/USAGE:
        * bin/MakeProjectCreator/modules/Driver.pm:

          Changed the code to show the default type in the usage message.

        * bin/MakeProjectCreator/modules/GNUWorkspaceCreator.pm:

          Change the workspace to use a for loop when building on UNIX.

        * tests/RMCast/tests.mpc:
        * tests/SSL/tests.mpc:

          Fixed the case on the dependencies lines.

Wed Jul 24 13:38:40 2002  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/Creator.pm:
        * bin/MakeProjectCreator/modules/Driver.pm:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Added a progress indicator (for those big workspaces).

Wed Jul 24 13:10:19 2002  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Add README and readme to the default documentation
          files.

        * bin/MakeProjectCreator/modules/Creator.pm:
        * bin/MakeProjectCreator/modules/GUID.pm:
        * bin/MakeProjectCreator/modules/VC7ProjectCreator.pm:

          Change the GUID generation code to be deterministic (but still
          unique) to allow for multiple solution files to contain the same
          project files without having to regenerate the solutions.

Wed Jul 24 13:42:37 2002  Steve Huston  <shuston@riverace.com>

        * ace/OS.cpp (uname): Added case for PROCESSOR_ARCHITECTURE_IA64
          when decoding processor type.

Wed Jul 24 10:58:22 2002  Steve Huston  <shuston@riverace.com>

        * ace/Acceptor.cpp (ACE_Acceptor::handle_input): When calling select(),
          use a int value instead of casting a ACE_HANDLE to an int.

        * tests/Cached_Accept_Conn_Test.cpp: Use %@ instead of %d when
          logging pointers.

        * tests/MT_Reactor_Upcall_Test.cpp: Added ACE_TEXT to char strings
          where needed. Changed the send to send fixed header, then the
          variable-size string. Sending all at once doesn't work if the
          string doesn't immediately follow the size_ member in memory,
          which happened on Win64.

Wed Jul 24 10:07:24 2002  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/README:
        * bin/MakeProjectCreator/USAGE:

          Update the documentation to reflect the current state.

Wed Jul 24 08:13:48 2002  Christopher Kohlhoff  <chris@kohlhoff.com>

        * include/makeinclude/build_dll.bor:
        * include/makeinclude/build_exe.bor:
        * include/makeinclude/build_lib.bor:
        * include/makeinclude/make_flags.bor:
          Improve debugging support with Borland C++Builder by invoking the
          compiler with a full path to each source file. This can be disabled
          by setting a NO_FULL_PATH environment variable to 1 or by passing
          -DNO_FULL_PATH when running make, which may be necessary when doing
          a debug build on Win9x.

Wed Jul 24 07:45:43 2002  Chad Elliott  <elliott_c@ociweb.com>

        * THANKS: Added Tim Bradley to the hall of fame.

Tue Jul 23 21:46:54 2002  Nanbor Wang  <nanbor@cs.wustl.edu>

	* ace/Process_Mutex.h:
	* ace/Process_Mutex.cpp: Disallowed anonymous Process_Mutex by
	  invoking this->unique_name() to create a temporary name if
	  there's no mutex name passed to the constructor.  Thanks John
	  Michael Zorko <j.zorko@att.net> for reporting this problem on
	  Mac OSX and submitting the patch.

Tue Jul 23 13:08:27 2002  Steve Huston  <shuston@riverace.com>

        * ace/Log_Msg.{h cpp} (log_hexdump):
        * ace/ACE.{h cpp} (format_hexdump): Change size arguments from int
          to size_t. Change format_hexdump()'s return from int to size_t.

Tue Jul 23 09:48:15 2002  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/Driver.pm:

          Always add the default include paths.

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Make sure that idl generated source files go at the front of the
          file list in auto-generates source lists.

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Only add LIB and SHLIB assignments if we are generating a Makefile
          for libraries.

Mon Jul 22 22:30:53 2002  Nanbor Wang  <nanbor@cs.wustl.edu>

	* ACEXML/common/XML_Common.dsp: Added the macro definition
	  ACEXML_HAS_DLL=1 to the release configuration to resolve a
	  nightly biuld problem.

Mon Jul 22 18:28:48 2002  Steve Huston  <shuston@riverace.com>

        * ace/Configuration.h: Doxygen fixes.

Mon Jul 22 16:57:19 2002  Chris Cleeland  <cleeland_c@ociweb.com>

        * bin/g++dep: Added a -R option that allows you to specify a
          variable which should be used to generate relative paths if it's
          defined.

Mon Jul 22 17:45:48 2002  Steve Huston  <shuston@riverace.com>

        * ace/Get_Opt.h: Doxygen fixes.

Mon Jul 22 16:39:21 2002  Steve Huston  <shuston@riverace.com>

        * ace/Acceptor.cpp (info):
        * ace/Connector.cpp (info): Cast return val to int.

        * ace/Message_Queue.h (message_count):
        * ace/Message_Queue_T.{h cpp i} (message_count): Change return value
          from size_t to int. Changed cur_count_ member (and accessors that
          return it) from size_t to int. This is a compromise to unify the
          length of arguments without changing the return types of all
          methods that return a message count (all the enqueue/dequeue methods,
          as well as a few others).
          Changed a number of @arg to @param for doxygen.

        * ace/SOCK_IO.{h i} (recvv, sendv):
        * ace/SOCK_Stream.{h i}(recvv_n, sendv_n): Changed iovcnt arg from
          size_t to int. int, though sort of odd as a choice, is the
          UNIX98 standard and more commonly implemented. Removes an arg
          size mismatch between the SOCK_IO and ACE layers, restricting the
          iovcnt range at the SOCK_IO layers to match the layer below.
          Changed the recv and send iov-enabled, deprecated methods to cast
          their size_t iovcnt args to int... these deprecated methods should
          be removed after 5.3 is out.

        * tests/Conn_Test.cpp: Replaced %d with %@ when logging pointers.
          Added missing string arg for a ACE_ERROR %p directive. Use a
          int select_width instead of casting ACE_HANDLE for Win64.

Mon Jul 22 15:13:38 2002  Carlos O'Ryan  <coryan@atdesk.com>

	* ace/Atomic_Op.h:
	* ace/Atomic_Op.i:
	  Fixed bug 1253, add missing copy constructor.

Mon Jul 22 13:25:29 2002  Stephen Torri <storri@cs.wustl.edu>

	* ace/streams.h: Fixed _MSC_VER compiler warning messages stating
	  concern about using MSC_VER without assurance that the macro
	  was defined.

Mon Jul 22 12:20:21 2002  Krishnakumar B  <kitty@cs.wustl.edu>

        * THANKS: Added Sean Ogle to the hall of fame.

Mon Jul 22 09:19:34 2002  Balachandran Natarajan  <bala@cs.wustl.edu>

	* THANKS: Aded Kew Whitney and Colin Weaver to the hall of fame.

Sat Jul 20 08:53:05 2002  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

	* ace/SOCK_Dgram.cpp (set_nic): Moved the #endif for
	  ACE_WIN32 *ahead* of the set_options() call.  Thanks to Joe
 	  Hayes <Joe.Hayes@lmco.com> for reporting this.

Fri Jul 19 14:42:37 2002  Steve Huston  <shuston@riverace.com>

        * ace/WFMO_Reactor.cpp (make_changes_in_suspension_infos,
          make_changes_in_current_infos):
          Fixed bug resulting from: Wed Jul 17 11:34:28 2002  Steve Huston

Thu Jul 18 15:48:29 2002  Steve Huston  <shuston@riverace.com>

        * ace/Future.h: Doxygenation improvements.

Thu Jul 18 08:39:08 2002  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/README:

          Update the documentation to reflect the additions to the grammar.

        * bin/MakeProjectCreator/config/avstreamsexe.mpb:
        * bin/MakeProjectCreator/config/corba_messaging.mpb:
        * bin/MakeProjectCreator/config/minimum_corba.mpb:
        * bin/MakeProjectCreator/config/namingexe.mpb:
        * bin/MakeProjectCreator/config/notify.mpb:
        * bin/MakeProjectCreator/config/orbsvcsexe.mpb:
        * bin/MakeProjectCreator/config/orbsvcslib.mpb:
        * bin/MakeProjectCreator/config/rt_client.mpb:
        * bin/MakeProjectCreator/config/rt_server.mpb:
        * bin/MakeProjectCreator/config/rteventexe.mpb:

          Add the GNU specific info for generating conditional target
          Makefiles.

        * bin/MakeProjectCreator/modules/GNUProjectCreator.pm:

          Added code to generate the conditional sections of the GNU
          Makefiles.

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/TemplateParser.pm:

          Fix some minor problems with generated project files.

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Added template info for conditional targets.

        * bin/MakeProjectCreator/templates/vc6dsp.mpd:
        * bin/MakeProjectCreator/templates/vc7.mpd:

          Removed the tie class idl targets.

        * bin/ace_components:

          Added a new append option that will be used by the generated GNU
          Makefiles.

Thu Jul 18 06:17:19 2002  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

	* Doug turns 40 today.  Fortunately, 40 Octal is only 32 Decimal ;-).

Wed Jul 17 15:18:31 2002  Steve Huston  <shuston@riverace.com>

        * ace/Configuration.h: Doxygen improvements.

        * ace/Configuration.cpp: All error cases where a return
          (-2, -3, -4, -5) occurred now return -1 with errno set.

        * ace/OS.{i cpp}: Follow-up to Wed Jul 17 11:34:28 2002  Steve Huston
          Only make ACE_WIN64 use intptr_t - must have a new SDK to get
          intptr_t, and not all have it.... so use it only for ACE_WIN64
          since the compiler comes in the newer SDK... Win32 does
          fine with long, which is what an intrptr_t is on Win32.

          Also fixed the PACE-busted conditional compiles around siginfo_t
          to match the declaration in OS.h. Win32 needs this stuff.

Wed Jul 17 14:25:39 2002  Steve Huston  <shuston@riverace.com>

        * include/makeinclude/platform_aix_ibm.GNU: Added -qfuncsect to the
          compile options. Allows for smaller executables/libraries, and
          gets rid of most of the multiple definition warnings for templates.
          Unfortunately, there are still a few stragglers so the aix_shr
          post-processing script is still required.

        * ace/Sock_Connect.cpp: Added a hack to get Visual Age C++ on AIX
          build running clean. Have to include a template instantiation we
          don't need to get the compiler to pull the proper header files
          at template compilation time.

Wed Jul 17 11:34:28 2002  Steve Huston  <shuston@riverace.com>

        * ace/OS.{i cpp}: Windows, in calls to _open_osfhandle(), cast
          handle to long for C++Builder. Only MSVC has the intptr_t type.

        * ace/WFMO_Reactor.cpp (make_changes_in_current_infos,
          make_changes_in_suspension_infos): Run the index from 0 to
          last_valid_slot rather than valid slot down to 0 to allow
          correct use of size_t index.

        * ace/WIN32_Proactor.cpp (register_handle, post_completion): Use
          a reinterpret_cast, not static_cast to cast void* to ULONG for
          non-Win64.

Wed Jul 17 03:50:56 UTC 2002  Don Hinton  <dhinton@objectsciences.com>

	* ace/ACE.cpp:
	* ace/OS.{h,i,cpp}:
	* ace/OS_Dirent.inl:
	* ace/OS_Memory.h
	* ace/OS_String.inl:
	* ace/Thread_Manager.cpp:
	* ace/WFMO_Reactor.cpp:
	* ace/config-all.h:
	* ace/config-win32-borland.h:
	* ace/config-win32-msvc-5.h:
	* ace/config-win32-msvc-6.h:
	* include/makeinclude/wrapper_macros.GNU:

	  Removed PACE.

Tue Jul 16 14:19:37 2002  Steve Huston  <shuston@riverace.com>

        * ace/DLL_Manager.cpp:
        * ace/Parse_Node.cpp: (also see Fri Jul 12 12:37:42 2002  Steve Huston)
          Always use the ptrdiff_t trick to cast a void* to a func ptr.
          Nanbor was right ;-)  Thanks to Carlos O'Ryan <coryan@atdesk.com>
          for clarifying this issue, including C++ chapter and verse.
          (It's in ISO C++ section 5.2.10 for those interested).

        * tests/DLL_Test.cpp: Use ptrdiff_t as a mediary to cast a void *
          to a func ptr, not a long.

Mon Jul 15 21:23:47 2002  Balachandran Natarajan  <bala@cs.wustl.edu>

	* ace/Message_Block.i (base): Fixed a warning in TRU 64 builds.

Mon Jul 15 18:56:47 2002  Douglas C. Schmidt  <schmidt@macarena.cs.wustl.edu>

	* ace/String_Base.cpp (substring): Changed "nil" to "nill" to
	  avoid conflicts with a Mac OS X macro.  Thanks to Ruslan
 	  Zasukhin <sunshine@public.kherson.ua> for reporting this.

Mon Jul 15 15:18:33 2002  Steve Huston  <shuston@riverace.com>

        * ace/Configuration.{h cpp}: Changed ACE_Configuration_Value_IntId
          data_ member to be a union with both pointer and u_int members.
          Also, the length_ member is now size_t, not u_int.

        * ace/Memory_Pool.cpp (ACE_Pagefile_Memory_Pool::map): Use
          INVALID_HANDLE_VALUE instead of a literal 0xFFFFFFFF for call to
          CreateFileMapping.

        * ace/OS.{h i}: New method, void *atop(const char *s) converts a
          string to void *.

        * ace/OS.i (fdopen): Don't cast arg to _open_osfhandle - Microsoft
          changed the type to something sensible.
          (isatty): open a C run-time handle for the ACE_HANDLE.

        * ace/OS.cpp (fopen): Don't cast arg to _open_osfhandle - Microsoft
          changed the type to something sensible.
          (unique_name): Use sprintf %p for pointer rather than casting
          to an int.

        * ace/Naming_Context.cpp (ACE_Name_Options::parse_args): Use
          ACE_OS::atop instead of ACE_OS::atoi for converting an argument
          to a pointer.

        * ace/SOCK_Dgram.cpp (recv, send):
        * ace/SOCK_IO.cpp (recvv): Use an int select_width
          to pass width to select() so it can be ignored on ACE_WIN64.

        * ace/SV_Semaphore_Simple.cpp (name_2_key): Disable the type cast
          conversion warning casting ACE::crc32() to key_t... it's fine.

        * ace/WIN32_Proactor.cpp (register_handle, post_completion): The
          I/O completion port's completionKey argument is a ULONG in
          "older" compiler/SDK versions, but was changed to a
          ULONG_PTR (new type in newer SDK/compiler) for 64-bit
          transition. The new type is used conditionally based on whether or
          not we're building a 64-bit version.

Mon Jul 15 09:26:17 2002  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

	* ace/SString.cpp (substring): Changed "nil" to "nill" to
	  avoid conflicts with a Mac OS X macro.  Thanks to Ruslan
 	  Zasukhin <sunshine@public.kherson.ua> for reporting this.

Mon Jul 15 10:14:44 2002  Carlos O'Ryan  <coryan@atdesk.com>

	* bin/MakeProjectCreator/README:
	  Fixed typo

Sun Jul 14 20:14:16 2002  Douglas C. Schmidt  <schmidt@macarena.cs.wustl.edu>

	* FAQ: Fixed the use of "*.ps.gz" files.  Thanks to
	  Carol Hunsicker <carol.hunsicker@lmco.com> for pointing this
 	  out.

Sun Jul 14 01:55:03 2002  Balachandran Natarajan  <bala@cs.wustl.edu>

	* ace/Message_Block.i (reset_allocators): Reset the allocators in
	  the chain if the message block is chained.

Sun Jul 14 01:43:32 2002  Balachandran Natarajan  <bala@cs.wustl.edu>

	* ace/Message_Block.h:
	* ace/Message_Block.i: Added two methods viz. reset_allocators ()
	  and access_allocators () to ACE_Message_Block.

Sat Jul 13 17:29:35 2002  Balachandran Natarajan  <bala@cs.wustl.edu>

	* bin/fuzz.pl: Removed the word "warning" from a print statement,
	  since our scoreboard scripts seems to catch that as a warning.

Sat Jul 13 13:31:54 2002  Balachandran Natarajan  <bala@cs.wustl.edu>

	* bin/auto_run_tests.lst: Added the Stack_Recursion test to the
	  daily  builds.

Fri Jul 12 20:28:52 2002  Krishnakumar B  <kitty@cs.wustl.edu>

        * ACEXML/common/URL_Addr.cpp (string_to_addr):

          Fixed confusion in handling normal and wchar strings. It should
          compile now without problems.

        * ACEXML/apps/svcconf/Svcconf_Handler.cpp:
        * ACEXML/apps/svcconf/Svcconf_Handler.i:

          Fixed memory leaks, some typos and used the locator to print
          out error messages.

Fri Jul 12 17:55:08 2002  Carlos O'Ryan  <coryan@atdesk.com>

	* ace/String_Base.i:
	  Fixed rfind() to check for pos == npos also, that solved the
	  regression test failures.

Fri Jul 12 16:03:22 2002  Steve Huston  <shuston@riverace.com>

        * ace/Basic_Types.h: Itanium is little-endian, like x86. Although
          the Itanium architecture allows big-endian operation, Windows
          doesn't use it.

        * tests/test_config.h (randomize): Fixed some int/size_t mix-ups.

Fri Jul 12 13:02:51 2002  Steve Huston  <shuston@riverace.com>

        * ace/String_Base.{h i} (rfind): Changed pos argument from size_t to
          ssize_t to make proper use of npos and avoid compile error for
          g++ 2.95.2.

Fri Jul 12 12:37:42 2002  Steve Huston  <shuston@riverace.com>

        * ace/DLL_Manager.cpp:
        * ace/Parse_Node.cpp: g++ complains that ISO C++ won't allow cast
          from void * to func ptr... so cast void * to ptrdiff_t, then to
          func ptr.

Fri Jul 12 12:26:27 2002  Steve Huston  <shuston@riverace.com>

        * ace/Timer_Heap_T.cpp (ctor): Alloc timer_ids_ as ssize_t[],
          not long[].

        * examples/C++NPv2/TPCLS.dsp: Added SSL libraries to link input.

        * examples/C++NPv2/TPLS.dsp: Added Logging_Handler.{h cpp} to project.

Fri Jul 12 12:15:49 2002  Steve Huston  <shuston@riverace.com>

        * ace/Timer_Heap_T.cpp (grow_heap): Fix compile warning.

Thu Jul 11 21:09:36 2002  Nanbor Wang  <nanbor@cs.wustl.edu>

	* Makefile.bor: Added a new BUILD target called "nightlybuild" to
	  simplify nightlybuild script.

Thu Jul 11 20:42:52 2002  Nanbor Wang  <nanbor@cs.wustl.edu>

	* ace/OS.i (creat): The Win32 implementation of this function was
	  broken.  Thanks to Marvin Greenberg <mgreenberg@dctd.saic.com>
	  for submitting the fix.

Thu Jul 11 18:37:35 2002  Krishnakumar B  <kitty@cs.wustl.edu>

        * ACEXML/common/URL_Addr.cpp (string_to_addr):
        * ACEXML/common/URL_Addr.h:

          Change the argument to match the base class INET_Addr so that
          warnings under Borland BCB is eliminated.

        * ACEXML/common/HttpCharStream.cpp:

          Use ACE_TEXT_ALWAYS_CHAR to convert an Unicode URL to char*
          before converting it to an address. Thanks to Nanbor for
          pointing this out.

        * ACEXML/common/Makefile:
        * ACEXML/common/StreamFactory.h:
        * ACEXML/common/StreamFactory.cpp:

          New class to create appropriate streams based on the URI. This
          is needed for handling the parameter entities.

        * ACEXML/examples/SAXPrint/main.cpp:

          Move common error message to a new usage function.

Thu Jul 11 16:28:24 2002  Steve Huston  <shuston@riverace.com>

        * tests/Proactor_Scatter_Gather_Test.cpp: Changed Writer to derive
          from ACE_Handler, not ACE_Service_Handler. It's not the target of
          an asynch connection factory, and declares an open() method that
          hides the one in ACE_Service_Handler.

Thu Jul 11 16:15:49 2002  Steve Huston  <shuston@riverace.com>

        * examples/C++NPv2/SR_Configurable_Logging_Server.dsp:
        * examples/TPCLS.dsp:
        * examples/TPLS.dsp:
        * examples/C++NPv2/examples.dsw: Added SR_Configurable_Logging_Server,
          TPCLS, and TPLS projects.

        * examples/C++NPv2/TPC_Logging_Server.h: Use ACE traits macros to
          allow build on Win32.
        * examples/C++NPv2/TPC_Logging_Server.cpp: Fix build problems on
          Win32.

        * examples/TP_Logging_Server.h (init): Added #include "ace/Auto_Ptr.h"
          and corrected use of ACE_NEW_NORETURN; use ACE_Auto_Ptr::get() to get
          the argv pointer.

Thu Jul 11 15:03:47 2002  Steve Huston  <shuston@riverace.com>

        * ace/ace_dll64.mak: TEMPORARILY added /wd4267 to disable the
          conversion size_t to int warning.

        * ace/Activation_Queue.{h i} (method_count): Change return type
          from int to size_t.

        * ace/Arg_Shifter.cpp (cur_arg_strncasecmp): Change flag_length var
          to size_t to match string function signatures. If returning a
          'remaining' length, cast back to int.

        * ace/ARGV.cpp (ctor): Build string length using size_t, not int.

        * ace/CDR_Base.cpp (ACE_CDR::consolidate): Use ptrdiff_t, not the
          nonstandard ptr_arith_t.

        * ace/CDR_Stream.cpp (grow_and_adjust): Use ptrdiff_t, notptr_arith_t.
          (write_string): Cast ACE_SString:length result to ACE_CDR::ULong.
          A number of other size_t<->ACE_CDR::ULong casts.

        * ace/CDR_Stream.i (write_string, operator<<): Use a ACE_CDR::ULong
          len, can't directly use the return from strlen(), a size_t.

        * ace/Codecs.cpp: size_t conversions.

        * ace/DEV_Addr.i (set): Cast strlen result to int for base_set.

        * ace/DEV_IO.{i cpp} (send, recv): Cast iovec count from size_t to
          int for call to ACE_OS level.

        * ace/Hash_Map_Manager_T.{h, i, cpp} (shared_find): Change loc argument
          from u_long to size_t. Better match for its use.

        * ace/OS.h (ACE_align_binary, ACE_ptr_align_binary): Change from
          using ptr_arith_t to the standard ptrdiff_t.

        * ace/DLL_Manager.cpp:
        * ace/Parse_Node.cpp: Avoid casting a void * to a long then back to a
          function pointer.  Cast using proper calling signature.

        * ace/Reactor_Impl.h (ACE_Reactor_Notify::notify):
        * ace/Select_Reactor_Base.{h cpp} (ACE_Select_Reactor_Notify::notify):
          Change return type from ssize_t to int to match advertised return
          type from ACE_Reactor.

        * ace/Select_Reactor_T.cpp (check_handles): Use an int select_width
          to pass width to select() so it can be ignored on ACE_WIN64.

        * ace/String_Base_Const.{h cpp}: Changed npos from int to ssize_t.

        * ace/String_Base.{h i}: (operator[]) changed slot arg from int
          to size_t. (strstr(), find(), rfind()) changed return type from
          int to ssize_t; change pos arg from int to size_t.

        * ace/Timer_Heap_T.{h cpp}: Change 'slot' arg from int to size_t.
          Also changed timer_ids_ to use ssize_t rather than long to
          avoid length mismatches between the max size and the timer
          queue (a size_t) and the arrays.

        * ace/WFMO_Reactor.h (ACE_WFMO_Reactor_Notify): Change return type
          from ssize_to to int to match corresponding change in
          ACE_Reactor_Notify, above. The implementation already was returning
          int.

        * ace/WFMO_Reactor.cpp (make_changes_in_current_infos,
          make_changes_in_suspension_infos): Align use of size_t.
          (wait_for_multiple_events)...........Should maybe make the
          sizes in this class DWORD?????

        * ace/WIN32_Proactor.cpp (close, handle_events): completion_key
          needs to be a different on Win64 than on Win32.

Thu Jul 11 08:34:22 2002  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/USAGE:
        * bin/MakeProjectCreator/modules/Driver.pm:

          Added new options and documentation dealing with generation of
          relative paths in projects.

Wed Jul 10 11:46:02 2002  Mayur Deshpande  <mayur@ics.uci.edu>

	* bin/auto_run_tests.lst:

	  Added tests/AMH_Exception and examples/AMH/Sink_Server as tests
	  for AMH

Wed Jul 10 13:31:49 2002  Steve Huston  <shuston@riverace.com>

        * examples/C++NPv2/CLD.dsp:
        * examples/C++NPv2/examples.dsw: Added CLD project.

        * examples/Client_Logging_Daemon.cpp: Disable the info, suspend, and
          resume methods - these are left as an exercise for the reader.

Wed Jul 10 11:24:39 2002  Steve Huston  <shuston@riverace.com>

        * examples/C++NPv2/AIO_CLD.dsp:
        * examples/C++NPv2/examples.dsw: Added AIO_CLD project.

        * examples/C++NPv2/AIO_Client_Logging_Daemon.cpp: Fix Win32 compile
          problems.

Wed Jul 10 07:22:24 2002  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/TemplateParser.pm:

          If the project creator needs the slashes converted, then
          do so when generating relative paths.

Tue Jul  9 23:24:44 2002  Krishnakumar B  <kitty@cs.wustl.edu>

        * include/makeinclude/rules.local.GNU:

          Print out more explanative messages.

        * include/makeinclude/platform_osf1_4.x_cxx.GNU:
        * include/makeinclude/platform_sunos5_sunc++.GNU:

          Turn on symbol versioning for these platforms with the
          proprietary compilers that ships with these systems viz, Sun CC
          and cxx.


Tue Jul  9 16:24:46 2002  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

	* ace/Containers_T.cpp: Fixed inconsistent initializer order for
	  ACE_Fixed_Stack and ACE_Bounded_Stack.  Thanks to Michael
 	  Searles <msearles@base16.com> for reporting this.

Tue Jul  9 11:10:38 2002  Steve Huston  <shuston@riverace.com>

        * apps/Gateway/Peer/Peer.{h cpp}: Renamed Peer_Acceptor::open()
          to Peer_Acceptor::start() to avoid clashes with virtual
          ACE_Acceptor::open.

Tue Jul  9 09:01:14 2002  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/config/taolib_with_idl.mpb:

          Change the default tao_idl option from -Gs to -Sc.

Tue Jul  9 08:07:20 2002  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/TemplateParser.pm:

          When using Cygwin Perl, we need to convert the cwd to a windows
          path to match up with environment variables that are usable
          outside of Cygwin.

Tue Jul  9 07:46:57 2002  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/TemplateParser.pm:

          Fix up the relative value matching code to work correctly
          on Windows.

Tue Jul  9 07:31:48 2002  Chad Elliott  <elliott_c@ociweb.com>

        * ace/ace.mpc:
        * ace/QoS/qos.mpc:
        * ace/RMCast/rmcast.mpc:
        * ace/SSL/ssl.mpc:
        * apps/gperf/src/gperf.mpc:
        * tests/tests.mpc:
        * tests/RMCast/tests.mpc:
        * tests/SSL/tests.mpc:

          Input files for the Make Project Creator for just the basic
          libraries, exe's and tests.

Tue Jul  9 07:24:06 2002  Chad Elliott  <elliott_c@ociweb.com>

        * bin/mpc.pl:
        * bin/mwc.pl:

          The starting point for creating workspaces and projects.

        * bin/MakeProjectCreator/README:
        * bin/MakeProjectCreator/USAGE:

          A bit of lite documentation on the Make Project Creator.

        * bin/MakeProjectCreator/config/aceexe.mpb:
        * bin/MakeProjectCreator/config/acelib.mpb:
        * bin/MakeProjectCreator/config/aceversion.mpb:
        * bin/MakeProjectCreator/config/avstreamsexe.mpb:
        * bin/MakeProjectCreator/config/client.mpb:
        * bin/MakeProjectCreator/config/global.mpb:
        * bin/MakeProjectCreator/config/messaging.mpb:
        * bin/MakeProjectCreator/config/namingexe.mpb:
        * bin/MakeProjectCreator/config/notify.mpb:
        * bin/MakeProjectCreator/config/notifytest.mpb:
        * bin/MakeProjectCreator/config/orbsvcsexe.mpb:
        * bin/MakeProjectCreator/config/orbsvcslib.mpb:
        * bin/MakeProjectCreator/config/rt_client.mpb:
        * bin/MakeProjectCreator/config/rt_server.mpb:
        * bin/MakeProjectCreator/config/rteventexe.mpb:
        * bin/MakeProjectCreator/config/server.mpb:
        * bin/MakeProjectCreator/config/strategies.mpb:
        * bin/MakeProjectCreator/config/taoexe.mpb:
        * bin/MakeProjectCreator/config/taolib.mpb:
        * bin/MakeProjectCreator/config/taolib_with_idl.mpb:
        * bin/MakeProjectCreator/config/taoversion.mpb:

          Base projects for most of ACE and TAO.


        * bin/MakeProjectCreator/modules/Driver.pm:
        * bin/MakeProjectCreator/modules/Creator.pm:
        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/GUID.pm:
        * bin/MakeProjectCreator/modules/Parser.pm:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/TemplateInputReader.pm:
        * bin/MakeProjectCreator/modules/TemplateParser.pm:

          The main modules of the Make Project Creator which provide most of
          the functionalty.

        * bin/MakeProjectCreator/modules/BorlandProjectCreator.pm:
        * bin/MakeProjectCreator/modules/BorlandWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/EM3ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/EM3WorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/GHSProjectCreator.pm:
        * bin/MakeProjectCreator/modules/GHSWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/GNUProjectCreator.pm:
        * bin/MakeProjectCreator/modules/GNUWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/NMakeProjectCreator.pm:
        * bin/MakeProjectCreator/modules/NMakeWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/VA4ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/VA4WorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/VC6ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/VC6WorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/VC7ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/VC7WorkspaceCreator.pm:

          Subclassed workspace and project creators.

        * bin/MakeProjectCreator/templates/bor.mpd:
        * bin/MakeProjectCreator/templates/bordll.mpt:
        * bin/MakeProjectCreator/templates/borexe.mpt:
        * bin/MakeProjectCreator/templates/em3vcp.mpd:
        * bin/MakeProjectCreator/templates/em3vcpdll.mpt:
        * bin/MakeProjectCreator/templates/em3vcpdllexe.mpt:
        * bin/MakeProjectCreator/templates/em3vcplib.mpt:
        * bin/MakeProjectCreator/templates/em3vcplibexe.mpt:
        * bin/MakeProjectCreator/templates/ghs.mpd:
        * bin/MakeProjectCreator/templates/gnu.mpd:
        * bin/MakeProjectCreator/templates/gnudll.mpt:
        * bin/MakeProjectCreator/templates/gnuexe.mpt:
        * bin/MakeProjectCreator/templates/nmake.mpd:
        * bin/MakeProjectCreator/templates/nmakedll.mpt:
        * bin/MakeProjectCreator/templates/nmakeexe.mpt:
        * bin/MakeProjectCreator/templates/va4icc.mpd:
        * bin/MakeProjectCreator/templates/va4iccdll.mpt:
        * bin/MakeProjectCreator/templates/va4iccdllexe.mpt:
        * bin/MakeProjectCreator/templates/va4icclib.mpt:
        * bin/MakeProjectCreator/templates/va4icclibexe.mpt:
        * bin/MakeProjectCreator/templates/vc6dsp.mpd:
        * bin/MakeProjectCreator/templates/vc6dspdll.mpt:
        * bin/MakeProjectCreator/templates/vc6dspdllexe.mpt:
        * bin/MakeProjectCreator/templates/vc6dsplib.mpt:
        * bin/MakeProjectCreator/templates/vc6dsplibexe.mpt:
        * bin/MakeProjectCreator/templates/vc7.mpd:
        * bin/MakeProjectCreator/templates/vc7dll.mpt:
        * bin/MakeProjectCreator/templates/vc7exe.mpt:

          Template and template input files for all of the different project
          creators.

Tue Jul  9 07:21:29 2002  Chad Elliott  <elliott_c@ociweb.com>

        * ace/Map_T.h:
        * ace/Map.cpp:
        * ace/Pair_T.h:
        * ace/Pair.cpp:

          Remove the use of Map.h and Pair.h.

        * ace/gethrtime.cpp:

          Only compile the contents of this file if using GHS and are
          building for the x86.

Mon Jul  8 17:26:51 2002  Steve Huston  <shuston@riverace.com>

        * ace/Task.cpp (svc_run): Borland complains about reinterpret_cast from
          int to unsigned long, so change the cast to ACE_THR_FUNC_RETURN to
          a static_cast for that compiler. Thanks to Johnny Willemsen
          <jwillemsen@remedy.nl> for this fix.

Fri Jul  5 10:30:44 2002  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

        * ace/Array_Base.cpp: Swapped the order of includes so that
          Array_Base.h comes after Malloc_Base.h.  Thanks to Al Pariante
          <Albert.Pariante@axcelis.com> for reporting this.

Thu Jul  4 11:27:05 2002  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

	* Happy 226th Birthday USA!

Sat Jul 06 19:32:40 2002  Balachandran Natarajan  <bala@cs.wustl.edu>

	* ace/Time_Value.h (ACE_Time_Value): Fix for [BUGID 1240]. Some of
	  the operators were missing explicit declarations in the header
	  file (they were anyway defined in the inlined files) which
	  created problems in builds where inlining was diabled. Please
	  see

	  http://deuce.doc.wustl.edu/bugzilla/show_bug.cgi?id=1240 for
	  more details. Thanks to Marina Spivak <marina@atdesk.com> for
	  reporting this.

Fri Jul  5 18:44:39 2002  Steve Huston  <shuston@riverace.com>

        * ace/ACE.cpp: Corrected undeclared 'select_width' errors and
          signed/unsigned mismatch warnings.

Fri Jul  5 16:14:51 2002  Steve Huston  <shuston@riverace.com>

        * ace/OS.{h i} (send, sendto, recv, recvfrom): Change 'len' argument
          from int to size_t.
          Removed conditional typedef of ssize_t; it's done in Basic_Types.h.

        * ace/ACE.h (recv): Filled in documentation for varargs variant.
        * ace/ACE.cpp (send, recv): Properly convert size_t 'count' arg to int
          iovec count for call to ACE_OS::sendv/recvv().
          (handle_timed_accept, handle_timed_complete, handle_ready): Use
          an int select_width for ACE_OS::select() calls to get the types
          correct. This arg is ignored on Windows anyway.

        * ace/Basic_Types.h: If ACE_HAS_SSIZE_T not defined, and Win64,
          typedef SSIZE_T ssize_t; else use the existing int typedef.

Wed Jul  3 11:09:31 2002  Steve Huston  <shuston@riverace.com>

        * tests/SSL/Thread_Pool_Reactor_SSL_Test.cpp:
          Change thread function to return ACE_THR_FUNC_RETURN, not void *.

Tue Jul 02 21:43:53 2002  Nanbor Wang  <nanbor@cs.wustl.edu>

	* ACEXML/common/XMLFilterImpl.h: One more pre/post mismatch.

Tue Jul  2 16:58:55 2002  Krishnakumar B  <kitty@cs.wustl.edu>

        * ACEXML/common/XML_Types.h:

          Removed unnecessary includes and fixed a typo.

Tue Jul 02 16:35:19 2002  Nanbor Wang  <nanbor@cs.wustl.edu>

	* ACEXML/common/Attributes.h:
	* ACEXML/common/Locator.h: Fixed mismatched pre/post inclusions.

	* ACEXML/parser/parser/Parser.cpp: Fixed compilation errors.

Tue Jul  2 11:53:29 2002  Steve Huston  <shuston@riverace.com>

        * ace/config-all.h: Changed definition of ACE_THR_FUNC to incorporate
          the platform's thread function return type (DWORD on Windows,
          void * on most others). Uses a new typedef ACE_THR_FUNC_RETURN
          to specify the platform's thread function return type.

        * ace/OS.{h i cpp} (thr_exit, thr_join): The status arg is now
          a ACE_THR_FUNC_RETURN *.
          Also moved remaining thread function definition type things to
          config-all.h with the rest of them.

        * ace/Base_Thread_Adapter.{h cpp} (invoke(), ace_thread_adapter()):
        * ace/OS_Thread_Adapter.{h cpp}
        * ace/Thread_Adapter.{h cpp} (invoke(), invoke_i()):
          Return type changed from void * to ACE_THR_FUNC_RETURN.

        * ace/Event_Handler.{cpp h} (read_adapter): Change return value from
          void* to ACE_THR_FUNC_RETURN.

        * ace/Thread_Hook.{h cpp}: ACE_Thread_Hook::start () returns
          ACE_THR_FUNC_RETURN, not void *.

        * ace/Thread.{h i} (exit, join): 'status' arg is now
          ACE_THR_FUNC_RETURN *, not void *.

        * ace/Thread_Control.{h inl cpp} (status, exit):
        * ace/Thread_Manager.{h cpp} (exit, join): Thread exit status
          type changed from void * to ACE_THR_FUNC_RETURN.

        * ace/Task.{h cpp} (ACE_Task_Base): Return type from svc_run now
          ACE_THR_FUNC_RETURN.

        * examples/C++NPv1/RT_Thread_Per_Connection_Logging_Server.cpp:
        * examples/C++NPv1/Thread_Per_Connection_Logging_Server.{cpp, h}:
        * examples/C++NPv2/Select_Reactor_Logging_Server.cpp:
        * examples/C++NPv2/Server_Shutdown.cpp:
        * examples/C++NPv2/TP_Reactor_Logging_Server.cpp:
        * examples/C++NPv2/WFMO_Reactor_Logging_Server.cpp:
        * examples/C++NPv2/Client_Logging_Daemon.cpp:
        * examples/Connection/blocking/SPIPE-acceptor.cpp:
        * examples/IPC_SAP/SOCK_SAP/CPP-inserver.cpp:
        * examples/IPC_SAP/SSL_SAP/SSL-server.cpp:
        * examples/Reactor/WFMO_Reactor/Abandoned.cpp:
        * performance-tests/TCP/tcp_test.cpp:
        * tests/ACE_Init_Test.cpp:
        * tests/MEM_Stream_Test.cpp:
        * tests/Service_Config_DLL.cpp:
        * tests/Task_Test.cpp:
        * tests/Thread_Pool_Reactor_Resume_Test.cpp:
        * tests/Thread_Pool_Reactor_Test.cpp:
          Change thread function to return ACE_THR_FUNC_RETURN, not void *.

        * examples/C++NPv2/TP_Logging_Server.cpp (handle_input, svc):
        * examples/C++NPv2/AC_Client_Logging_Daemon.cpp (open):
        * examples/C++NPv2/display_logfile.cpp (svc): Change
          ACE_reinterpret_cast to ACE_static_cast. Thanks to Doug Schmidt
          for finding this.

        * examples/C++NPv2/TP_Logging_Server.h:
        * examples/C++NPv2/Reactor_Logging_Server_Adapter.cpp: Corrected use
          of ACE_NEW_RETURN.

Mon Jul  1 23:16:47 2002  Jeff Parsons <parsons@cs.wustl.edu>

        * */Makefile:

          Updated dependencies.

Mon Jul  1 21:59:44 2002  Krishnakumar B  <kitty@cs.wustl.edu>

        * ACEXML/common/Attributes.h:
        * ACEXML/common/AttributesImpl.h:
        * ACEXML/common/Attributes_Def_Builder.h:
        * ACEXML/common/CharStream.h:
        * ACEXML/common/ContentHandler.h:
        * ACEXML/common/DTDHandler.h:
        * ACEXML/common/DTD_Manager.h:
        * ACEXML/common/DefaultHandler.h:
        * ACEXML/common/Element_Def_Builder.h:
        * ACEXML/common/EntityResolver.h:
        * ACEXML/common/Env.h:
        * ACEXML/common/ErrorHandler.h:
        * ACEXML/common/Exception.h:
        * ACEXML/common/FileCharStream.h:
        * ACEXML/common/HttpCharStream.h:
        * ACEXML/common/InputSource.h:
        * ACEXML/common/Locator.h:
        * ACEXML/common/LocatorImpl.h:
        * ACEXML/common/Mem_Map_Stream.h:
        * ACEXML/common/NamespaceSupport.h:
        * ACEXML/common/SAXExceptions.h:
        * ACEXML/common/StrCharStream.h:
        * ACEXML/common/Transcode.h:
        * ACEXML/common/URL_Addr.h:
        * ACEXML/common/Validator.h:
        * ACEXML/common/XMLFilter.h:
        * ACEXML/common/XMLFilterImpl.h:
        * ACEXML/common/XMLReader.h:
        * ACEXML/common/XML_Codecs.h:
        * ACEXML/common/XML_Types.h:
        * ACEXML/parser/debug_validator/Debug_Attributes_Builder.cpp:
        * ACEXML/parser/debug_validator/Debug_Attributes_Builder.h:
        * ACEXML/parser/debug_validator/Debug_DTD_Manager.h:
        * ACEXML/parser/debug_validator/Debug_Element_Builder.h:
        * ACEXML/parser/debug_validator/Element_Tree.h:
        * ACEXML/parser/parser/Entity_Manager.h:
        * ACEXML/parser/parser/Parser.cpp:
        * ACEXML/parser/parser/Parser.h:

        ACE_LACKS_PRAGMA_ONCE fixes.

Mon Jul  1 06:21:00 2002  Douglas C. Schmidt  <schmidt@macarena.cs.wustl.edu>

	* ace/Sock_Connect.cpp (count_interfaces): Added a MacOSX-specific
	  value for OSIOCGIFCONF.  Thanks to John Zorko <j.zorko@att.net>
 	  for this fix.
